<?xml version="1.0" encoding="utf-8" ?>
<Defs>
  <DamageDef>
    <defName>CAT_CutPsyBlade</defName>
    <label>cut</label>
    <workerClass>DamageWorker_Cut</workerClass>
    <externalViolence>true</externalViolence>
    <deathMessage>{0} has been cut to death.</deathMessage>
    <hediff>Cut</hediff>
    <hediffSkin>Cut</hediffSkin>
    <hediffSolid>Crack</hediffSolid>
    <harmAllLayersUntilOutside>true</harmAllLayersUntilOutside>
    <!-- <impactSoundType>Slice</impactSoundType> -->
    <armorCategory>Sharp</armorCategory>
    <overkillPctToDestroyPart>0~0.1</overkillPctToDestroyPart>
    <cutExtraTargetsCurve>
      <points>
        <li>0, 0</li>
        <li>0.6, 1</li>
        <li>0.9, 2</li>
        <li>1, 3</li>
      </points>
    </cutExtraTargetsCurve>
    <cutCleaveBonus>1.4</cutCleaveBonus>
    <impactSoundType>Slice</impactSoundType>
    <buildingDamageFactorImpassable>15</buildingDamageFactorImpassable>
    <buildingDamageFactorPassable>7.5</buildingDamageFactorPassable>
    <additionalHediffs>
      <li>
        <hediff>CAT_Disintegrated</hediff>
		<severityPerDamageDealt>0.005</severityPerDamageDealt>
      </li>
    </additionalHediffs>
  </DamageDef>

  <DamageDef>
    <defName>CAT_StabPsyBlade</defName>
    <label>stab</label>
    <workerClass>DamageWorker_Stab</workerClass>
    <externalViolence>true</externalViolence>
    <deathMessage>{0} has been stabbed to death.</deathMessage>
    <hediff>Stab</hediff>
    <hediffSolid>Crack</hediffSolid>
    <!-- <impactSoundType>Slice</impactSoundType> -->
    <armorCategory>Sharp</armorCategory>
    <stabChanceOfForcedInternal>0.6</stabChanceOfForcedInternal>
    <overkillPctToDestroyPart>0.4~1.0</overkillPctToDestroyPart>
    <impactSoundType>Slice</impactSoundType>
    <buildingDamageFactorImpassable>15</buildingDamageFactorImpassable>
    <buildingDamageFactorPassable>7.5</buildingDamageFactorPassable>
    <additionalHediffs>
      <li>
        <hediff>CAT_Disintegrated</hediff>
		<severityPerDamageDealt>0.005</severityPerDamageDealt>
      </li>
    </additionalHediffs>
  </DamageDef>

</Defs>
